## golang-github-moby-sys 0.0~git20200518.0783079

=== Makefile ===
PACKAGES ?= mountinfo mount
BINDIR ?= _build/bin

.PHONY: all
all: lint test

.PHONY: test
test:
	for p in $(PACKAGES); do \
		(cd $$p && go test -v .); \
	done

.PHONY: lint
lint: $(BINDIR)/golangci-lint
	$(BINDIR)/golangci-lint version
	for p in $(PACKAGES); do \
		(cd $$p && go mod download \
		&& ../$(BINDIR)/golangci-lint run); \
	done

$(BINDIR)/golangci-lint: $(BINDIR)
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.24.0

$(BINDIR):
	mkdir -p $(BINDIR)

## golang-github-moby-sys 0.0~git20200320.6154f11

=== debian/changelog ===
golang-github-moby-sys (0.0~git20200320.6154f11-1) unstable; urgency=medium

  * Initial release (Closes: #959012)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 28 Apr 2020 10:43:08 +0800

=== debian/control ===
Source: golang-github-moby-sys
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-moby-sys
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-moby-sys.git
Homepage: https://github.com/moby/sys
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/moby/sys

Package: golang-github-moby-sys-dev
Architecture: all
Depends: golang-golang-x-sys-dev,
         ${misc:Depends}
Description: Library to parse mount info and mount filesystems
 It provides following Go libraries:
 .
  * github.com/moby/sys/mount
  * github.com/moby/sys/mountinfo

## golang-github-moby-sys 0.0~git20200630.9e8d3ad

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+.SHELLFLAGS = -ec
 PACKAGES ?= mountinfo mount
 BINDIR ?= _build/bin

=== debian/changelog ===
golang-github-moby-sys (0.0~git20200630.9e8d3ad-1) unstable; urgency=medium

  * New upstream snapshot

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 01 Jul 2020 04:27:14 +0800

golang-github-moby-sys (0.0~git20200518.0783079-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 29 May 2020 23:52:36 +0800

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := mount/go.mod mountinfo/go.mod

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-moby-sys 0.0~git20201113.5a29239

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
 .SHELLFLAGS = -ec
-PACKAGES ?= mountinfo mount
+PACKAGES ?= mountinfo mount symlink
 BINDIR ?= _build/bin
+CROSS ?= linux/arm linux/arm64 linux/ppc64le linux/s390x \
+	freebsd/amd64 openbsd/amd64 darwin/amd64 darwin/arm64 windows/amd64
 
 .PHONY: all
-all: lint test
+all: lint test cross
 
 .PHONY: test
 test:
@@ -20,7 +22,17 @@
 	done
 
 $(BINDIR)/golangci-lint: $(BINDIR)
-	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.24.0
+	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.31.0
 
 $(BINDIR):
 	mkdir -p $(BINDIR)
+
+.PHONY: cross
+cross:
+	for osarch in $(CROSS); do \
+		export GOOS=$${osarch%/*} GOARCH=$${osarch#*/}; \
+		echo "# building for $$GOOS/$$GOARCH"; \
+		for p in $(PACKAGES); do \
+			(cd $$p	&& go build .); \
+		done; \
+	done

=== debian/changelog ===
golang-github-moby-sys (0.0~git20201113.5a29239-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Shengjing Zhu ]
  * New upstream snapshot
  * Install all go.mod files
  * Add patch for backward compatibility

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Nov 2020 17:26:26 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev

## golang-github-moby-sys 0.0~git20220215.b8d8fab

=== Makefile ===
PACKAGES ?= mountinfo mount signal symlink
BINDIR ?= _build/bin
CROSS ?= linux/arm linux/arm64 linux/ppc64le linux/s390x \
	freebsd/amd64 openbsd/amd64 darwin/amd64 darwin/arm64 windows/amd64
SUDO ?= sudo -n
test test-local: RUN_VIA_SUDO = $(shell $(SUDO) true && echo -exec \"$(SUDO)\")

.PHONY: all
all: clean lint test cross

.PHONY: clean
clean:
	$(RM) mount/go-local.*

.PHONY: test
test: test-local
	set -eu; \
	for p in $(PACKAGES); do \
		(cd $$p; go test $(RUN_VIA_SUDO) -v .); \
	done

# Test the mount module against the local mountinfo source code instead of the
# release specified in its go.mod. This allows catching regressions / breaking
# changes in mountinfo.
.PHONY: test-local
test-local: MOD = -modfile=go-local.mod
test-local:
	echo 'replace github.com/moby/sys/mountinfo => ../mountinfo' | cat mount/go.mod - > mount/go-local.mod
	# Run go mod tidy to make sure mountinfo dependency versions are met.
	cd mount && go mod tidy $(MOD) && go test $(MOD) $(RUN_VIA_SUDO) -v .
	$(RM) mount/go-local.*

.PHONY: lint
lint: $(BINDIR)/golangci-lint
	$(BINDIR)/golangci-lint version
	set -eu; \
	for p in $(PACKAGES); do \
		(cd $$p; \
		go mod download; \
		../$(BINDIR)/golangci-lint run); \
	done

$(BINDIR)/golangci-lint: $(BINDIR)
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.43.0

$(BINDIR):
	mkdir -p $(BINDIR)

.PHONY: cross
cross:
	set -eu; \
	for osarch in $(CROSS); do \
		export GOOS=$${osarch%/*} GOARCH=$${osarch#*/}; \
		echo "# building for $$GOOS/$$GOARCH"; \
		for p in $(PACKAGES); do \
			(cd $$p; go build .); \
		done; \
	done

=== debian/changelog ===
golang-github-moby-sys (0.0~git20220215.b8d8fab-2) unstable; urgency=medium

  * Bump golang-golang-x-sys-dev to 0.0~git20201101 (Closes: #1006628)
  * Update Section to golang

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 07 Mar 2022 23:37:56 +0800

golang-github-moby-sys (0.0~git20220215.b8d8fab-1) unstable; urgency=medium

  * New upstream snapshot
  * Drop compatibility patch
  * Update Standards-Version to 4.6.0 (no changes)
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 21 Feb 2022 01:25:06 +0800

=== debian/control ===
Source: golang-github-moby-sys
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev (>= 0.0~git20201101~),
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-moby-sys
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-moby-sys.git
Homepage: https://github.com/moby/sys
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/moby/sys

Package: golang-github-moby-sys-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-sys-dev (>= 0.0~git20201101~),
         ${misc:Depends},
Description: Library to parse mount info and mount filesystems
 It provides following Go libraries:
 .
  * github.com/moby/sys/mount
  * github.com/moby/sys/mountinfo

## golang-github-moby-sys 0.0~git20220606.416188a

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,13 @@
 	set -eu; \
 	for p in $(PACKAGES); do \
 		(cd $$p; go test $(RUN_VIA_SUDO) -v .); \
+	done
+
+.PHONY: tidy
+tidy:
+	set -eu; \
+		for p in $(PACKAGES); do \
+		(cd $$p; go mod tidy); \
 	done
 
 # Test the mount module against the local mountinfo source code instead of the
@@ -41,7 +48,7 @@
 	done
 
 $(BINDIR)/golangci-lint: $(BINDIR)
-	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.43.0
+	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.45.2
 
 $(BINDIR):
 	mkdir -p $(BINDIR)

=== debian/changelog ===
golang-github-moby-sys (0.0~git20220606.416188a-1) unstable; urgency=medium

  * New upstream snapshot
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 16 Jun 2022 23:25:12 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev (>= 0.0~git20201101~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-moby-sys
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-moby-sys.git
 Homepage: https://github.com/moby/sys

## golang-github-moby-sys 0.0~git20231105.a4e0878

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PACKAGES ?= mountinfo mount signal symlink
+PACKAGES ?= mountinfo mount sequential signal symlink user
 BINDIR ?= _build/bin
 CROSS ?= linux/arm linux/arm64 linux/ppc64le linux/s390x \
 	freebsd/amd64 openbsd/amd64 darwin/amd64 darwin/arm64 windows/amd64

=== debian/changelog ===
golang-github-moby-sys (0.0~git20231105.a4e0878-1) unstable; urgency=medium

  * New upstream snapshot
  * Update Standards-Version to 4.6.2 (no changes)
  * Update package description

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 06 Nov 2023 18:18:37 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev (>= 0.0~git20201101~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-moby-sys
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-moby-sys.git
 Homepage: https://github.com/moby/sys
@@ -20,8 +20,12 @@
 Multi-Arch: foreign
 Depends: golang-golang-x-sys-dev (>= 0.0~git20201101~),
          ${misc:Depends},
-Description: Library to parse mount info and mount filesystems
+Description: Go Library for system information and operation
  It provides following Go libraries:
  .
   * github.com/moby/sys/mount
   * github.com/moby/sys/mountinfo
+  * github.com/moby/sys/sequential
+  * github.com/moby/sys/signal
+  * github.com/moby/sys/symlink
+  * github.com/moby/sys/user

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := $(wildcard */go.mod)

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/moby/sys.git \
  HEAD debian

## golang-github-moby-sys 0.0~git20240807.5447519

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PACKAGES ?= mountinfo mount sequential signal symlink user
+PACKAGES ?= mountinfo mount sequential signal symlink user userns # IMPORTANT: when updating this list, also update the conditional one in .github/workflows/test.yml
 BINDIR ?= _build/bin
 CROSS ?= linux/arm linux/arm64 linux/ppc64le linux/s390x \
 	freebsd/amd64 openbsd/amd64 darwin/amd64 darwin/arm64 windows/amd64
@@ -22,7 +22,7 @@
 .PHONY: tidy
 tidy:
 	set -eu; \
-		for p in $(PACKAGES); do \
+	for p in $(PACKAGES); do \
 		(cd $$p; go mod tidy); \
 	done
 
@@ -48,7 +48,7 @@
 	done
 
 $(BINDIR)/golangci-lint: $(BINDIR)
-	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.45.2
+	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.59.1
 
 $(BINDIR):
 	mkdir -p $(BINDIR)

=== debian/changelog ===
golang-github-moby-sys (0.0~git20240807.5447519-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Sep 2024 17:05:29 -0400

golang-github-moby-sys (0.0~git20240807.5447519-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 07:58:19 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev (>= 0.0~git20201101~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-moby-sys
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-moby-sys.git
 Homepage: https://github.com/moby/sys

## golang-github-moby-sys 0.0~git20241107.638aa7c

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PACKAGES ?= mountinfo mount sequential signal symlink user userns # IMPORTANT: when updating this list, also update the conditional one in .github/workflows/test.yml
+PACKAGES ?= capability mountinfo mount sequential signal symlink user userns # IMPORTANT: when updating this list, also update the conditional one in .github/workflows/test.yml
 BINDIR ?= _build/bin
 CROSS ?= linux/arm linux/arm64 linux/ppc64le linux/s390x \
 	freebsd/amd64 openbsd/amd64 darwin/amd64 darwin/arm64 windows/amd64
@@ -12,19 +12,21 @@
 clean:
 	$(RM) mount/go-local.*
 
+.PHONY: foreach
+foreach: ## Run $(CMD) for every package.
+	@if test -z '$(CMD)'; then \
+		echo 'Usage: make foreach CMD="commands to run for every package"'; \
+		exit 1; \
+	fi
+	set -eu; \
+	for p in $(PACKAGES); do \
+		(cd $$p; $(CMD);) \
+	done
+
 .PHONY: test
 test: test-local
-	set -eu; \
-	for p in $(PACKAGES); do \
-		(cd $$p; go test $(RUN_VIA_SUDO) -v .); \
-	done
-
-.PHONY: tidy
-tidy:
-	set -eu; \
-	for p in $(PACKAGES); do \
-		(cd $$p; go mod tidy); \
-	done
+test: CMD=go test $(RUN_VIA_SUDO) -v .
+test: foreach
 
 # Test the mount module against the local mountinfo source code instead of the
 # release specified in its go.mod. This allows catching regressions / breaking
@@ -39,16 +41,13 @@
 
 .PHONY: lint
 lint: $(BINDIR)/golangci-lint
+lint: CMD=go mod download; ../$(BINDIR)/golangci-lint run
+lint: foreach
+lint:
 	$(BINDIR)/golangci-lint version
-	set -eu; \
-	for p in $(PACKAGES); do \
-		(cd $$p; \
-		go mod download; \
-		../$(BINDIR)/golangci-lint run); \
-	done
 
 $(BINDIR)/golangci-lint: $(BINDIR)
-	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.59.1
+	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(BINDIR) v1.60.1
 
 $(BINDIR):
 	mkdir -p $(BINDIR)

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Description: Go Library for system information and operation
  It provides following Go libraries:
  .
+  * github.com/moby/sys/capability
   * github.com/moby/sys/mount
   * github.com/moby/sys/mountinfo
   * github.com/moby/sys/sequential

## golang-github-moby-sys 0.0~git20250819.9dc3a90

=== Makefile ===
PACKAGES ?= atomicwriter capability mountinfo mount reexec sequential signal symlink user userns
CROSS ?= linux/arm linux/arm64 linux/ppc64le linux/s390x \
	freebsd/amd64 openbsd/amd64 darwin/amd64 darwin/arm64 windows/amd64
SUDO ?= sudo -n
test test-local: RUN_VIA_SUDO = $(shell $(SUDO) true && echo -exec \"$(SUDO)\")

.PHONY: all
all: clean lint test cross

.PHONY: clean
clean:
	$(RM) mount/go-local.*
	$(RM) */coverage.txt

.PHONY: foreach
foreach: ## Run $(CMD) for every package.
	@if test -z '$(CMD)'; then \
		echo 'Usage: make foreach CMD="commands to run for every package"'; \
		exit 1; \
	fi
	set -eu; \
	for p in $(PACKAGES); do \
		(cd $$p; $(CMD);) \
	done

.PHONY: test
test: test-local
test: CMD=go test $(RUN_VIA_SUDO) -v -coverprofile=coverage.txt -covermode=atomic .
test: foreach

# Some modules in this repo have interdependencies:
#  - mount depends on mountinfo
#  - atomicwrite depends on sequential
#
# The code below tests these modules against their local dependencies
# to catch regressions / breaking changes early.
.PHONY: test-local
test-local: MOD = -modfile=go-local.mod
test-local:
	echo 'replace github.com/moby/sys/mountinfo => ../mountinfo' | cat mount/go.mod - > mount/go-local.mod
	# Run go mod tidy to make sure mountinfo dependency versions are met.
	cd mount && go mod tidy $(MOD) && go test $(MOD) $(RUN_VIA_SUDO) -v .
	$(RM) mount/go-local.*
	echo 'replace github.com/moby/sys/sequential => ../sequential' | cat atomicwriter/go.mod - > atomicwriter/go-local.mod
	# Run go mod tidy to make sure sequential dependency versions are met.
	cd atomicwriter && go mod tidy $(MOD) && go test $(MOD) $(RUN_VIA_SUDO) -v .
	$(RM) atomicwriter/go-local.*

.PHONY: golangci-lint-version
golangci-lint-version:
	golangci-lint version

.PHONY: lint
lint: golangci-lint-version
lint: CMD=go mod download; golangci-lint run
lint: foreach

.PHONY: cross
cross:
	set -eu; \
	for osarch in $(CROSS); do \
		export GOOS=$${osarch%/*} GOARCH=$${osarch#*/}; \
		echo "# building for $$GOOS/$$GOARCH"; \
		for p in $(PACKAGES); do \
			(cd $$p; go build .); \
		done; \
	done

=== debian/changelog ===
golang-github-moby-sys (0.0~git20250819.9dc3a90-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove redundant Rules-Requires-Root: no
  * Bump Standards Version, no changes needed
  * Add Repository Information to upstream metadata

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 27 Sep 2025 21:00:09 -0400

golang-github-moby-sys (0.0~git20241107.638aa7c-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Nov 2024 11:00:16 -0500

golang-github-moby-sys (0.0~git20241107.638aa7c-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * Mention new moby/sys/capability package in the package description

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 07 Nov 2024 20:08:59 -0500

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev (>= 0.0~git20201101~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-moby-sys
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-moby-sys.git
 Homepage: https://github.com/moby/sys
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/moby/sys
 
 Package: golang-github-moby-sys-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := $(wildcard */go.mod)
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_install:
	find debian/ -type f -name enumgen -delete
	find debian/ -type d -empty -delete
